import dynamix_sdk.base as _base


class CloudapiComputeDiskSwitchToReplicationResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudapiComputeDiskSwitchToReplicationProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def disk_switch_to_replication(
        self,
        *,
        vm_id: int,
        disk_id: int,
        stop_replication: bool = False,
    ) -> CloudapiComputeDiskSwitchToReplicationResultBool:
        ...
